4

Blockquote Warning: array_combine(): Both parameters should have an equal number of elements in CRM_Contact_BAO_Relationship::buildRelationshipTypeOptions() (line 2250 of /home/i571020/membership.irishjudoassociation.ie/sites/all/modules/civicrm/CRM/Contact/BAO/Relationship.php).

I've started getting this error after enabling the module. I can see all the options in views, rules etc. but the warning is visible in the back-end. Is this something in my relationships that's not right or else?

  • I see this notice all the time as well....hasn't seemed to cause any problems...I've seen this issue about it too: lab.civicrm.org/dev/core/issues/268 – jackrabbithanna Jan 4 at 16:13
  • this didn't start appearing until sometime in the 5.x series of CiviCRM as well... – jackrabbithanna Jan 4 at 16:19
  • I've the same issue. Any solution? – bass May 28 at 17:10
3

Part of the process that CiviCRM Entity uses to integrate is to read metadata on the civicrm API entities, and also for fields with options lists, it fetches those with an API call... This API call :

$result = civicrm_api3('Relationship', 'getoptions', [
  'field' => "relationship_type_id",
]);

Is what is producing the warning...

I'm calling this a CiviCRM Core bug/issue..

there is an issue here, I'll update it: https://lab.civicrm.org/dev/core/issues/268

  • 1
    i can work around this issue in CiviCRM Entity, I'll work up a patch for that – jackrabbithanna Jan 4 at 19:54

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.